## grouping-protein 0.5.11-1

=== CMakeLists.txt ===

# cmake helps to compile "groupingprotein"
# please install the cmake package depending on your linux distribution
# and type in the beads root directory :
# cmake .
# make
# make install
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)

# The name of this project is "gpf". CMakeLists files in this project can
# refer to the root source directory of the project as ${gpf_SOURCE_DIR}
# and to the root binary director of the project as ${gpf_BINARY_DIR}.

PROJECT(groupingprotein CXX C)


if (CMAKE_VERSION VERSION_LESS "3.1")
    if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
      set (CMAKE_CXX_FLAGS "-std=gnu++11 ${CMAKE_CXX_FLAGS}")
    endif ()
else ()
    set (CMAKE_CXX_STANDARD 20)
endif ()


#depending on libpappsomspp version :
SET(LIBPAPPSOMSPP_VERSION "0.9.46")
configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake ${CMAKE_SOURCE_DIR}/debian/control  @ONLY)

# Project version

SET (GP_MAJOR_VERSION 0)
SET (GP_MINOR_VERSION 5)
SET (GP_PATCH_LEVEL   11)
SET (GP_VERSION  "${GP_MAJOR_VERSION}.${GP_MINOR_VERSION}.${GP_PATCH_LEVEL}")
#SET (GPF_SCHEMA_VERSION "${GPF_MAJOR_VERSION}.${GPF_MINOR_VERSION}")
#SET (GPF_SCHEMA_FILE "gpf-1.0.xsd")
#SET (GPF_XSD_LOCATION_DIR "${gpf_SOURCE_DIR}/doc/schema")


# Add folder where are supportive functions
set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
set(CMAKE_TOOLCHAINS_PATH ${CMAKE_UTILS_PATH}/toolchains)

# Include the system's uname that fills in SYSTEM_UNAME_S.
# Sets WIN64 if SYSTEM_UNAME_S is "^.*MING64.*"
include(${CMAKE_UTILS_PATH}/systemUname.cmake)

# Include the various colors we want to use in the output
include(${CMAKE_UTILS_PATH}/outputColors.cmake)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)

message("\n${BoldRed}Configuring build for project ${CMAKE_PROJECT_NAME}${ColourReset}\n")


# We want C++20
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")

#############################################################
# We do not want warnings for unknown pragmas:
message(STATUS "Setting definition -Wno-unknown-pragmas.${ColourReset}")
add_definitions(-Wno-unknown-pragmas)
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldGreen}Setting definition -Wall.${ColourReset}")
add_definitions(-Wall)
message(STATUS "${BoldGreen}Setting definition -Wextra.${ColourReset}")
add_definitions(-Wextra)

if(WARN_AS_ERROR)
  message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
  add_definitions(-Werror)
endif()

message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")


#############################################################
#############################################################
# Platform-specific CMake configuration
if(MXE)
  message(STATUS "Building for MXE")
  # Run the following cmake command line:
  # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
  #include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)

  # Set the name to the systemUname variable because in this situation that name
  # is not found, it it passed as a flag in the command line.
  set(systemUname "mxe")

elseif(UNIX AND NOT APPLE)
  message(STATUS "Building for UNIX")
  # Run the following cmake command line:
  # cmake -DBUILD_USER_MANUAL=1 -DCMAKE_BUILD_TYPE=Debug
  # If the libraries to be used are local and not system-wide add
  # -DLOCAL_DEV=1

  # On UNIX, the libpappsomspp and libpappsomspp-widget libs
  # need to be installed and they ship the PappsoMSppConfig.cmake
  # config file.

  # However, when developing both libs and this program, we need to be able to
  # load the libs from their dev/build directory without relying on the system
  # libs.
  if(LOCAL_DEV)

    # The development should use the locally built libs.
    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain-local.cmake)
  else()

    # Use the system-wide libraries.
    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)

  endif()

  message(STATUS "Include dir for PappsoMSpp is at: ${PappsoMSpp_INCLUDE_DIRS}")
  message(STATUS "PappsoMSpp and PappsoMSppWidget were found at:
  \t ${PappsoMSpp_LIBRARIES} and ${PappsoMSppWidget_LIBRARIES}")

elseif(WIN64)
  # Run the following cmake command line:
  # cmake -DBUILD_USER_MANUAL=0 -DCMAKE_BUILD_TYPE=Release ../development

  include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)

elseif(APPLE)
  # Run the following cmake command line:
  # cmake -DBUILD_USER_MANUAL=0 -DCMAKE_BUILD_TYPE=Release ../development

  include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)

endif()

message("")
message(STATUS "${BoldGreen}Starting configuration of ${CMAKE_PROJECT_NAME}${ColourReset}")
message("")
message(STATUS "${BoldYellow}The build toolchain is: ${SystemUname}${ColourReset}")
message("")



#############################################################
#############################################################
# Essential software configuration
message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})


SET (GP_BINARY_DIR "bin")

if (NOT CMAKE_INSTALL_PREFIX)
  SET (CMAKE_INSTALL_PREFIX /usr/local)
endif (NOT CMAKE_INSTALL_PREFIX)

#SET(CMAKE_BUILD_TYPE "Release")
#SET(CMAKE_BUILD_TYPE "RelWithDebInfo")
if (NOT CMAKE_BUILD_TYPE)
  SET( CMAKE_BUILD_TYPE "Release")
endif (NOT CMAKE_BUILD_TYPE)

IF(CMAKE_BUILD_TYPE MATCHES "Release")
  MESSAGE("compiling as release version")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ENDIF( CMAKE_BUILD_TYPE MATCHES "Release" )

IF(CMAKE_BUILD_TYPE MATCHES "Debug")
  MESSAGE("compiling as debug version")
ENDIF( CMAKE_BUILD_TYPE MATCHES "Debug" )

IF(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
  MESSAGE("compiling as release with debug info version")
ENDIF( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )


SET(CMAKE_CXX_FLAGS_DEBUG "-O3 -g -Wall")
SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O3 -g -Wall")
SET(CMAKE_CXX_FLAGS_RELEASE  "-s ${CMAKE_CXX_FLAGS_RELEASE}")
#SET(GPF_XSD_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/xml/schema")
#SET(GPF_XSD "${GPF_XSD_INSTALL_DIR}/${GPF_SCHEMA_FILE}")


SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET(CPACK_GENERATOR "STGZ;TGZ;TZ")
SET(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
#SET(CPACK_PACKAGE_DESCRIPTION_FILE ${GPF_SOURCE_DIR}/COPYING)
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Grouping Protein algorithm")
SET(CPACK_PACKAGE_EXECUTABLES "groupingprotein")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "groupingprotein-${GP_VERSION}")
SET(CPACK_SYSTEM_NAME "Linux-i686")
SET(CPACK_PACKAGE_FILE_NAME "groupingprotein-${GP_VERSION}-${CPACK_SYSTEM_NAME}")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "groupingprotein ${GP_VERSION}")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "groupingprotein ${GP_VERSION}")
SET(CPACK_PACKAGE_NAME "groupingprotein")
SET(CPACK_PACKAGE_VENDOR "PAPPSO")
SET(CPACK_PACKAGE_VERSION ${GP_VERSION})
#SET(CPACK_RESOURCE_FILE_LICENSE ${GPF_SOURCE_DIR}/debian/copyright)
#SET(CPACK_RESOURCE_FILE_README ${GPF_SOURCE_DIR}/README)
#SET(CPACK_RESOURCE_FILE_WELCOME ${GPF_SOURCE_DIR}/README)
SET(CPACK_SOURCE_GENERATOR "TGZ;TZ")
SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
SET(CPACK_SOURCE_STRIP_FILES "")
SET(CPACK_SYSTEM_NAME "Linux-i686")
SET(CPACK_TOPLEVEL_TAG "Linux-i686")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "grouping-protein-${GP_VERSION}")


SET(CPACK_SOURCE_IGNORE_FILES
  ".*\\\\.tar\\\\.gz"
  "moc_.*cxx"
  ".*\\\\.pyc"
  "\\\\.#.*"
  ".*\\\\.*~"
  ".*\\\\.aux"
  ".*\\\\.bbl"
  ".*\\\\.blg"
  ".*\\\\.log"
  ".*\\\\.out"
  ".*\\\\.toc"
  "/devel_archives/"
  "/doc\\\\/misc/"
  "/doc\\\\/scripts/"
  "/doc\\\\/slides/"
   "/figures/"
  "/Soumis/"
  "Makefile"
  "install_manifest.txt"
  "CMakeCache.txt"
  "CPackConfig.cmake"
  "CPackSourceConfig.cmake"
  "/CMakeFiles/"
  "/_CPack_Packages/"
  "/Debug/"
  "/Release/"
  "/tests/"
  "/\\\\.externalToolBuilders/"
  "/\\\\.git/"
  "/\\\\.settings/"
  "Makefile"
  "\\\\.cdtbuild"
  "\\\\.cdtproject"
  "\\\\.project"
  "\\\\.cproject"
  "/win32/"
  "svnignores.txt"
  "\\\\.gitignore"
  "/build/"
  )
# to create a TGZ archive of the  source code type shell command
#

#dch -Dwheezy "message"
#cmake ..
#make deb
# scp grouping-protein* proteus:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default
#
#  debuild -S -sa
# dput -f olivier-langella *changes


SET(CPACK_PACKAGE_EXECUTABLES "groupingprotein" "groupingprotein")



INCLUDE(CPack)

# Recurse into the "src" subdirectories.  This does not actually
# cause another cmake executable to run.  The same process will walk through
# the project's entire directory structure.
add_subdirectory(doc)
add_subdirectory (src)



add_custom_target(targz
	cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz grouping-protein-${GP_VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "Creating .tar.gz" VERBATIM
)


add_custom_target(deb
	cd grouping-protein-${GP_VERSION} && dpkg-buildpackage
	DEPENDS targz
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "Creating Debian package" VERBATIM
)

file(GLOB changesdebs "${CMAKE_BINARY_DIR}/grouping-protein_*.dsc")

foreach(libfile ${changesdebs})
    SET(changesdeb "${libfile}")
endforeach(libfile)

message ("changes debian file : ${changesdeb}")
#lintian -IEi --pedantic tandem-mass_2013.06.15-1_amd64.changes
add_custom_target(lintian
	lintian -IEi --pedantic ${changesdeb}
	DEPENDS deb
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "lintian check" VERBATIM
)

=== doc/CMakeLists.txt ===
set(USETYPST_DEFAULT_ALL_TARGET ON)

message("\n${BoldGreen}Build typst documentation ${PROJECT_NAME}${ColourReset}\n")
include(${CMAKE_UTILS_PATH}/modules/UseTYPST.cmake)
add_typst_document(groupingprotein_documentation typst/main.typ)

=== src/cpp/CMakeLists.txt ===


SET(GP_LIB_NAME "groupingprotein")
SET(GP_LIB_VERSION ${GP_VERSION})
SET(GP_LIB_SOVERSION ${GP_VERSION})



#sudo apt-get install libpappsomspp-dev
if ( PappsoMSpp_FOUND )
else ( PappsoMSpp_FOUND )
    FIND_PACKAGE( PappsoMSpp REQUIRED )
endif ( PappsoMSpp_FOUND )
#SET (PAPPSOMSPP_DIR  "/home/olivier/eclipse/git/pappsomspp")
# SET (PAPPSOMSPP_DIR  "/home/langella/developpement/git/pappsomspp")
# SET (PAPPSOMSPP_INCLUDE_DIR "${PAPPSOMSPP_DIR}/src")
# SET (PAPPSOMSPP_QT5_LIBRARY "${PAPPSOMSPP_DIR}/cbuild/src/libpappsomspp-qt5.so")


#-std=c++11
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Winline")
#set(CMAKE_CXX_STANDARD 14)

add_subdirectory(core)
add_subdirectory(bin)

=== src/python/CMakeLists.txt ===
#configuring python path on script using xmlstreamwriter library
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-read-xtandem.py ${CMAKE_CURRENT_BINARY_DIR}/gp-read-xtandem.py @ONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-read-pepXML.py ${CMAKE_CURRENT_BINARY_DIR}/gp-read-pepXML.py @ONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-masschroqml.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-masschroqml.py @ONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-read-diann.py ${CMAKE_CURRENT_BINARY_DIR}/gp-read-diann.py @ONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-diann-mcqr.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-diann-mcqr.py @ONLY)

#copie script without xmlstreamwriter library
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-fdr-peptide.py ${CMAKE_CURRENT_BINARY_DIR}/gp-fdr-peptide.py COPYONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-peptide-counting.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-peptide-counting.py COPYONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-peptide-list.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-peptide-list.py COPYONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-protein-counting.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-protein-counting.py COPYONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-protein-list.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-protein-list.py COPYONLY)

=== src/cpp/bin/CMakeLists.txt ===

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/src/cpp/libgroupingprotein )

  
SET(GP_GROUPING
  gp_grouping.cpp
)


SET(GP_GROUPING_MOC_HDRS
    gp_grouping.h
)


QT6_WRAP_CPP( GP_GROUPING_MOC_SRCS ${GP_GROUPING_MOC_HDRS} )


#TARGET_LINK_LIBRARIES(fastamanager ${PAPPSOMSPP_QT4_LIBRARY} ${Pwiz_LIBRARY} ${ODSSTREAM_QT4_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSVG_LIBRARY})

ADD_EXECUTABLE(gp-grouping ${GP_GROUPING} ${GP_GROUPING_MOC_SRCS})

target_link_libraries(gp-grouping
    ${GP_LIB_NAME}
    PappsoMSpp::Core
    Qt6::Core
    Qt6::Qml
)

SET_TARGET_PROPERTIES(gp-grouping PROPERTIES OUTPUT_NAME gp-grouping)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/gp-grouping DESTINATION bin)

# gp-output-proticdbml
QT6_WRAP_CPP( GP_OUTPUT_MOC_SRCS gpoutputproticdbml.h )
ADD_EXECUTABLE(gp-output-proticdbml gpoutputproticdbml.cpp 
  ../output/proticdbml.cpp ../input/groupinghandler.cpp ../input/xtandemsaxhandler.cpp ${GP_OUTPUT_MOC_SRCS})

target_link_libraries(gp-output-proticdbml
    ${GP_LIB_NAME}
    PappsoMSpp::Core
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
)

SET_TARGET_PROPERTIES(gp-output-proticdbml PROPERTIES OUTPUT_NAME gp-output-proticdbml)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/gp-output-proticdbml DESTINATION bin)

# gp-output-masschroq
QT6_WRAP_CPP( GP_OUTPUT_MCQ_MOC_SRCS gpoutputmasschroq.h )
ADD_EXECUTABLE(gp-output-masschroq gpoutputmasschroq.cpp ../input/groupinghandlermasschroq.cpp ${GP_OUTPUT_MCQ_MOC_SRCS})

target_link_libraries(gp-output-masschroq
    ${GP_LIB_NAME}
    PappsoMSpp::Core
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
)

SET_TARGET_PROPERTIES(gp-output-masschroq PROPERTIES OUTPUT_NAME gp-output-masschroq)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/gp-output-masschroq DESTINATION bin)


# gp-fdr-filter
QT6_WRAP_CPP( GP_FDR_FILTER_MOC_SRCS gpfdrfilter.h )
ADD_EXECUTABLE(gp-fdr-filter 
    gpfdrfilter.cpp
    ../input/peptideresultsqvaluehandler.cpp
    ${GP_FDR_FILTER_MOC_SRCS}
    )

target_link_libraries(gp-fdr-filter
    ${GP_LIB_NAME}
    PappsoMSpp::Core
    Qt6::Core
    Qt6::Qml
)

SET_TARGET_PROPERTIES(gp-fdr-filter PROPERTIES OUTPUT_NAME gp-fdr-filter)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/gp-fdr-filter DESTINATION bin)



# gp-fdr-peptide
QT6_WRAP_CPP( GP_FDR_PEPTIDE_MOC_SRCS gpfdrpeptide.h )
ADD_EXECUTABLE(gp-fdr-peptide
    gpfdrpeptide.cpp
    ../input/peptideresultsqvaluehandler.cpp
    ${GP_FDR_PEPTIDE_MOC_SRCS}
    )

target_link_libraries(gp-fdr-peptide
    ${GP_LIB_NAME}
    PappsoMSpp::Core
    Qt6::Core
    Qt6::Qml
)

SET_TARGET_PROPERTIES(gp-fdr-peptide PROPERTIES OUTPUT_NAME gp-fdr-peptide)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/gp-fdr-peptide DESTINATION bin)




# gp-create-fasta
QT6_WRAP_CPP( GP_CREATE_FASTA_MOC_SRCS gpcreatefasta.h )
ADD_EXECUTABLE(gp-create-fasta gpcreatefasta.cpp 
  ../input/peptideresultsngreader.h ${GP_CREATE_FASTA_MOC_SRCS})

target_link_libraries(gp-create-fasta
    ${GP_LIB_NAME}
    PappsoMSpp::Core
    Qt6::Core
    Qt6::Qml
)

SET_TARGET_PROPERTIES(gp-create-fasta PROPERTIES OUTPUT_NAME gp-create-fasta)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/gp-create-fasta DESTINATION bin)


# mzid2cbor
QT6_WRAP_CPP( MZID2CBOR_MOC_SRCS mzidtocborcli.h )
ADD_EXECUTABLE(mzid2cbor mzidtocborcli.cpp ${MZID2CBOR_MOC_SRCS})

target_link_libraries(mzid2cbor
    ${GP_LIB_NAME}
    PappsoMSpp::Core
    Qt6::Core
    Qt6::Qml
)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/mzid2cbor DESTINATION bin)



# sage2cbor
QT6_WRAP_CPP( SAGE2CBOR_MOC_SRCS sagetocborcli.h )
ADD_EXECUTABLE(sage2cbor sagetocborcli.cpp ${SAGE2CBOR_MOC_SRCS})

target_link_libraries(sage2cbor
    ${GP_LIB_NAME}
    PappsoMSpp::Core
    Qt6::Core
    Qt6::Qml
)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/sage2cbor DESTINATION bin)

=== src/cpp/core/CMakeLists.txt ===
# Configure the variable
MESSAGE("gp_lib_config.h.cmake gp_lib_config.h")
configure_file (gp_lib_config.h.cmake ${CMAKE_SOURCE_DIR}/src/cpp/core/gp_lib_config.h)


#SET(PG_LIB_MOC_HDRS
#  pg_protseqengine.h
#)

SET(GP_SRC_LIB 
  pg_utils.cpp
  gp_lib_config.h
  gp_engine.cpp
  gp_params.cpp
  groupingmonitor.cpp
  identification/peptide.cpp 
  identification/protein_match.cpp
  identification/peptide_set.cpp
  identification/sample.cpp
  ../input/peptide_result_parser.cpp
  ../input/peptideresultsngreader.cpp
  ../output/protein_grouping_result.cpp
  filter/data_filter.cpp
  filter/fasta_filter.cpp
  filter/peptide_repro_filter.cpp
  filter/peptide_by_prot_filter.cpp
)

set(CMAKE_MODULE_PATH ${gpf_SOURCE_DIR}/modules)

#set(Qwt5_DIR ${gpf_SOURCE_DIR}/Modules)
#FIND_PACKAGE(Qwt5 REQUIRED)

# this command will generate rules that will run rcc on all files from SAMPLE_RCS
# in result SAMPLE_RC_SRCS variable will contain paths to files produced by rcc
#QT4_ADD_RESOURCES( SAMPLE_RC_SRCS ${SAMPLE_RCS} )
  
# this will run uic on .ui files:
#QT4_WRAP_UI( SAMPLE_UI_HDRS ${SAMPLE_UIS} )
  
#QT4_WRAP_CPP( PG_LIB_MOC_SRCS ${PG_LIB_MOC_HDRS} )
  
# we need this to be able to include headers produced by uic in our code
# (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)

INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR})  



ADD_LIBRARY(${GP_LIB_NAME} SHARED ${GP_SRC_LIB} )

target_link_libraries(${GP_LIB_NAME}
    PappsoMSpp::Core
    Qt6::Core
    Qt6::Xml
    Qt6::Concurrent
    Qt6::Core5Compat
    Qt6::Qml
)

  set_target_properties(${GP_LIB_NAME} PROPERTIES 
    VERSION ${GP_LIB_VERSION}
    SOVERSION ${GP_LIB_SOVERSION}
    )

INSTALL(TARGETS ${GP_LIB_NAME} LIBRARY DESTINATION lib)

=== debian/control ===
Source: grouping-protein
Section: science
Priority: optional
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: http://pappso.inra.fr/bioinfo
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7),
               dh-python,
               python3,
               cmake (>= 2.6),
               qt6-base-dev,
               qt6-svg-dev,
               libqcustomplot-dev,
               libodsstream-dev,
               cutelee6-qt6-dev,
               libpappsomspp-core-dev (>= 0.9.46)
Build-Conflicts: qt3-dev-tools



Package: grouping-protein
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         python3-biopython,
         libpappsomspp-core0  (>= 0.9.46)
Description: Proteomics grouping algorithm
 Grouping-protein implements a fast algorithm that can filter thousands of peptides
